import { defaultConfig } from './default-config.js';
import { merge } from './utils/merge.js';
export class Context {
    config;
    images = {};
    _styles = null;
    pageStyles = {};
    constructor(config) {
        this.config = config;
    }
    get styles() {
        if (this._styles) {
            return this._styles;
        }
        this._styles = merge({}, this.config.globalStyles || {}, this.pageStyles, this.config.styles);
        return this._styles;
    }
    setPageStyles(styles) {
        this.pageStyles = styles;
    }
    get fonts() {
        return this.config.fonts;
    }
}
export const createContext = (_config = defaultConfig()) => {
    const config = {
        ...defaultConfig(),
        ..._config
    };
    return new Context(config);
};
