import { IS_WHITESPACE, META, STYLE } from '../constants.js';
import { getChildItems } from '../utils/index.js';
import { toUnitOrValue } from '../utils/unit.js';
export const handleColumns = (item) => {
    const childItems = getChildItems(item);
    const spaceBetween = item[META][STYLE]?.['justify-content'] === 'space-between';
    const defaultWidth = spaceBetween ? '*' : 'auto';
    return {
        columns: childItems
            .flatMap((subItem) => {
            if ('text' in subItem && Array.isArray(subItem.text)) {
                return subItem.text
                    .filter(childItem => !childItem[META]?.[IS_WHITESPACE])
                    .map(text => {
                    const width = toUnitOrValue(text[META]?.[STYLE]?.width || defaultWidth) || defaultWidth;
                    return (typeof text === 'string') ? {
                        text,
                        width
                    } : {
                        ...text,
                        width
                    };
                });
            }
            return {
                stack: [].concat(subItem),
                width: toUnitOrValue(subItem[META]?.[STYLE]?.width || defaultWidth) || defaultWidth
            };
        }),
        columnGap: 'columnGap' in item ? item.columnGap : 0,
        [META]: item[META]
    };
};
