import { META, NODE } from '../constants.js';
import { merge } from '../utils/merge.js';
export const addTocItem = (item, tocStyle = {}) => {
    if ('text' in item && typeof item.text === 'string') {
        item.tocItem = true;
        merge(item, tocStyle);
    }
    else if ('stack' in item) {
        const text = item.stack.find(s => 'text' in s);
        if (text && typeof text !== 'string') {
            text.tocItem = true;
            merge(text, tocStyle);
        }
    }
};
export const handleHeadlineToc = (item) => {
    const tocStyle = {};
    if (item[META]?.[NODE]?.nodeName === 'H1') {
        Object.assign(tocStyle, {
            tocNumberStyle: { bold: true }
        });
    }
    else {
        Object.assign(tocStyle, {
            tocMargin: [10, 0, 0, 0]
        });
    }
    addTocItem(item, tocStyle);
    return item;
};
