import { META } from '../constants.js';
export function isBase64(str) {
    return /^data:image\/(jpeg|png|jpg);base64,/.test(str);
}
export const parseImg = (el, ctx) => {
    const src = el.getAttribute('src');
    if (!src) {
        return null;
    }
    const name = el.getAttribute('name') || src;
    let image;
    if (isBase64(src)) {
        image = src;
    }
    else if (ctx.images[name]) {
        image = name;
    }
    else {
        ctx.images[src] = name;
        image = name;
    }
    return {
        image,
        [META]: {}
    };
};
