/// <reference types="pdfkit" />
import { META } from '../constants.js';
import { Context } from '../context.js';
import { LazyItem, LazyItemNode } from '../types/lazy-item.types.js';
import { MetaNode } from '../types/meta.types.js';
/**
 *
 * @param item
 * @param ctx the context
 * @param parentItem? the parent item
 */
export declare const computeProps: (item: MetaNode<LazyItemNode>, ctx: Context, parentItem?: LazyItem | undefined) => {
    [META]: {
        STYLE: {
            [x: string]: string | number;
        };
        NODE: (import("../types/global.types.js").El | undefined) & import("../types/global.types.js").El;
        UID?: string | undefined;
        IS_WHITESPACE?: string | boolean | undefined;
        END_WITH_NEWLINE?: boolean | undefined;
        START_WITH_NEW_LINE?: boolean | undefined;
        IS_NEWLINE?: boolean | undefined;
        START_WITH_WHITESPACE?: boolean | undefined;
        END_WITH_WHITESPACE?: boolean | undefined;
        MARGIN?: import("../types/props.types.js").Points | undefined;
        PADDING?: import("../types/props.types.js").Points | undefined;
        BORDER?: import("../types/props.types.js").Points | undefined;
        PRE_HANDLER?: ((item: MetaNode<LazyItem>) => MetaNode<LazyItem> | null) | undefined;
        POST_HANDLER?: ((item: MetaNode<import("../types/item.types.js").Item>) => MetaNode<import("../types/item.types.js").Item> | null) | undefined;
        CLASSES?: string[] | undefined;
        PDFMAKE?: Record<string, unknown> | undefined;
    };
    font?: string | undefined;
    fontSize?: number | undefined;
    fontFeatures?: PDFKit.Mixins.OpenTypeFeatures[] | undefined;
    lineHeight?: number | undefined;
    bold?: boolean | undefined;
    italics?: boolean | undefined;
    alignment?: import("pdfmake/interfaces").Alignment | undefined;
    color?: string | undefined;
    background?: string | [string, string] | undefined;
    markerColor?: string | undefined;
    decoration?: import("pdfmake/interfaces").Decoration | undefined;
    decorationStyle?: import("pdfmake/interfaces").DecorationStyle | undefined;
    decorationColor?: string | undefined;
    margin?: ([number, number, number, number] & import("../types/props.types.js").Points) | undefined;
    preserveLeadingSpaces?: boolean | undefined;
    preserveTrailingSpaces?: boolean | undefined;
    opacity?: number | undefined;
    characterSpacing?: number | undefined;
    leadingIndent?: number | undefined;
    noWrap?: boolean | undefined;
    fillColor?: string | undefined;
    fillOpacity?: number | undefined;
    columnGap?: import("pdfmake/interfaces").Size | undefined;
    sup?: boolean | undefined;
    sub?: boolean | undefined;
    link?: string | undefined;
    linkToPage?: number | undefined;
    linkToDestination?: string | undefined;
    pageBreak?: import("pdfmake/interfaces").PageBreak | undefined;
    absolutePosition?: import("pdfmake/interfaces").Position | undefined;
    relativePosition?: import("pdfmake/interfaces").Position | undefined;
    fit?: number | number[] | undefined;
    width?: string | number | undefined;
    height?: number | undefined;
    border?: [boolean, boolean, boolean, boolean] | undefined;
    borderColor?: [string, string, string, string] | undefined;
    rowSpan?: number | undefined;
    colSpan?: number | undefined;
    style?: string[] | undefined;
    text?: import("../types/item.types.js").Text | import("../types/item.types.js").Leaf | undefined;
    counter?: number | undefined;
    start?: number | undefined;
    type?: string | undefined;
    listType?: string | undefined;
    layout?: import("pdfmake/interfaces").TableLayout | undefined;
    maxHeight?: number | undefined;
    maxWidth?: number | undefined;
    minHeight?: number | undefined;
    minWidth?: number | undefined;
};
