import { parseChildren } from '../parser/index.js';
import { parseImg } from '../parser/parse-img.js';
export const headerFooterContent = (els, ctx) => {
    const elements = {};
    let index = 1;
    for (let i = 0; i < els.length; i++) {
        const el = els[i];
        // Add Images to context
        const images = el.querySelectorAll(':scope img');
        for (let i = 0; i < images.length; i++) {
            parseImg(images[i], ctx);
        }
        const dataPage = el.getAttribute('data-page');
        let page = index;
        if (dataPage) {
            const num = parseInt(dataPage, 10);
            if (['even', 'odd', 'default'].includes(dataPage)) {
                page = dataPage;
            }
            else if (!isNaN(num)) {
                page = num;
            }
            else {
                page = index++;
            }
        }
        else {
            page = index++;
        }
        elements[page] = (data) => {
            return parseChildren(ctx.config.render(el, data), ctx);
        };
    }
    return elements;
};
export const headerFooter = (currentPage, pageCount, headerOrFooter) => {
    const evenOdd = currentPage % 2 === 0 ? 'even' : 'odd';
    const data = {
        currentPage,
        pageCount
    };
    return headerOrFooter[evenOdd]?.(data) || headerOrFooter[currentPage]?.(data) || headerOrFooter['default']?.(data) || [];
};
