import { TableLayout } from 'pdfmake/interfaces.js';
import { META } from '../constants.js';
import { Meta } from './meta.types.js';
import { CommonProps, Points } from './props.types.js';
import { TableDefinition } from './table.types.js';
import { TocDefinition } from './toc.types.js';
export declare type Image = {
    image: string;
    maxHeight?: number;
    maxWidth?: number;
    minHeight?: number;
    minWidth?: number;
} & CommonProps;
export declare type Column = {
    columns: Array<ItemNode>;
} & CommonProps;
export declare type Leaf = string & {
    [META]?: Meta;
};
export declare type Text = {
    text: Leaf | Array<Leaf | Text>;
    tocItem?: boolean;
} & CommonProps;
export declare type Stack = {
    stack: Item[];
} & CommonProps;
export declare type QR = {
    qr: string;
} & CommonProps;
export declare type Ul = {
    ul: Item[];
} & CommonProps;
export declare type Ol = {
    ol: Item[];
} & CommonProps;
export declare type SVG = {
    svg: string;
} & CommonProps;
export declare type Toc = {
    toc: TocDefinition;
} & CommonProps;
export declare type Table = {
    table: TableDefinition;
    layout?: TableLayout;
} & CommonProps;
export declare type TextArray = Omit<Text, 'text'> & {
    text: Array<Leaf | Text>;
};
export declare type ItemNode = Text | Stack | Table | Ul | Ol | SVG | Image | Column | QR | Toc;
export declare type ItemCollapsable = ItemNode & {
    margin: Points;
};
export declare type Item = ItemNode | Leaf;
