import { Context } from '../context.js';
import { Column, Image, Item, Leaf, Ol, QR, Stack, SVG, Table, Text, Toc, Ul } from './item.types.js';
import { TableDefinition } from './table.types.js';
export declare type Evaluate<T, R> = (items: T, ctx: Context, item: LazyItem) => R;
export declare type LazyItems = Evaluate<Item[], Item[]>;
export declare type LazyTxt = Evaluate<Array<Text | Leaf>, Leaf | Array<Leaf | Text>>;
export declare type LazyTableItems = Evaluate<Item[], Array<Item[] | Leaf[]>>;
export declare type LazyUl = Ul | Omit<Ul, 'ul'> & {
    ul: LazyItems;
};
export declare type LazyOl = Ol | Omit<Ol, 'ol'> & {
    ol: LazyItems;
};
export declare type LazyStack = Stack | Omit<Stack, 'stack'> & {
    stack: LazyItems;
};
export declare type LazyText = Text | Omit<Text, 'text'> & {
    text: LazyTxt;
};
export declare type LazyTable = Table | Omit<Table, 'table'> & {
    table: LazyTableDefinition;
};
export declare type LazyItemNode = LazyText | LazyStack | LazyTable | LazyUl | LazyOl | SVG | Image | Column | QR | Toc;
export declare type LazyItem = LazyItemNode | Leaf;
export declare type LazyTableDefinition = Omit<TableDefinition, 'body'> & {
    body: LazyTableItems;
};
