import { META, NODE } from '../constants.js';
export const isNotText = (item) => typeof item !== 'string';
export const isColgroup = (item) => item?.[META]?.[NODE]?.nodeName === 'COLGROUP';
export const isImage = (item) => 'image' in item;
export const isTable = (item) => 'table' in item;
export const isTextArray = (item) => !!item && typeof item !== 'string' && 'text' in item && Array.isArray(item.text);
export const isTextSimple = (item) => typeof item !== 'string' && 'text' in item && typeof item.text === 'string';
export const isTextOrLeaf = (item) => 'text' in item || typeof item === 'string';
export const isList = (item) => 'ul' in item || 'ol' in item;
export const isTdOrTh = (item) => item[META]?.[NODE]?.nodeName === 'TD' || item[META]?.[NODE]?.nodeName === 'TH' || item[META]?.[NODE]?.nodeName === 'COL';
export const isElement = (el) => el.nodeType === 1;
export const isNode = (el) => el.nodeType === 3 || el.nodeType === 8;
export const isCollapsable = (item) => typeof item !== 'undefined' && typeof item !== 'string' && ('stack' in item || 'ul' in item || 'ol' in item || 'table' in item) && 'margin' in item;
