"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createContext = exports.Context = void 0;
const default_config_js_1 = require("./default-config.js");
const merge_js_1 = require("./utils/merge.js");
class Context {
    config;
    images = {};
    _styles = null;
    pageStyles = {};
    constructor(config) {
        this.config = config;
    }
    get styles() {
        if (this._styles) {
            return this._styles;
        }
        this._styles = (0, merge_js_1.merge)({}, this.config.globalStyles || {}, this.pageStyles, this.config.styles);
        return this._styles;
    }
    setPageStyles(styles) {
        this.pageStyles = styles;
    }
    get fonts() {
        return this.config.fonts;
    }
}
exports.Context = Context;
const createContext = (_config = (0, default_config_js_1.defaultConfig)()) => {
    const config = {
        ...(0, default_config_js_1.defaultConfig)(),
        ..._config
    };
    return new Context(config);
};
exports.createContext = createContext;
