"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleColumns = void 0;
const constants_js_1 = require("../constants.js");
const index_js_1 = require("../utils/index.js");
const unit_js_1 = require("../utils/unit.js");
const handleColumns = (item) => {
    const childItems = (0, index_js_1.getChildItems)(item);
    const spaceBetween = item[constants_js_1.META][constants_js_1.STYLE]?.['justify-content'] === 'space-between';
    const defaultWidth = spaceBetween ? '*' : 'auto';
    return {
        columns: childItems
            .flatMap((subItem) => {
            if ('text' in subItem && Array.isArray(subItem.text)) {
                return subItem.text
                    .filter(childItem => !childItem[constants_js_1.META]?.[constants_js_1.IS_WHITESPACE])
                    .map(text => {
                    const width = (0, unit_js_1.toUnitOrValue)(text[constants_js_1.META]?.[constants_js_1.STYLE]?.width || defaultWidth) || defaultWidth;
                    return (typeof text === 'string') ? {
                        text,
                        width
                    } : {
                        ...text,
                        width
                    };
                });
            }
            return {
                stack: [].concat(subItem),
                width: (0, unit_js_1.toUnitOrValue)(subItem[constants_js_1.META]?.[constants_js_1.STYLE]?.width || defaultWidth) || defaultWidth
            };
        }),
        columnGap: 'columnGap' in item ? item.columnGap : 0,
        [constants_js_1.META]: item[constants_js_1.META]
    };
};
exports.handleColumns = handleColumns;
