"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handleHeadlineToc = exports.addTocItem = void 0;
const constants_js_1 = require("../constants.js");
const merge_js_1 = require("../utils/merge.js");
const addTocItem = (item, tocStyle = {}) => {
    if ('text' in item && typeof item.text === 'string') {
        item.tocItem = true;
        (0, merge_js_1.merge)(item, tocStyle);
    }
    else if ('stack' in item) {
        const text = item.stack.find(s => 'text' in s);
        if (text && typeof text !== 'string') {
            text.tocItem = true;
            (0, merge_js_1.merge)(text, tocStyle);
        }
    }
};
exports.addTocItem = addTocItem;
const handleHeadlineToc = (item) => {
    const tocStyle = {};
    if (item[constants_js_1.META]?.[constants_js_1.NODE]?.nodeName === 'H1') {
        Object.assign(tocStyle, {
            tocNumberStyle: { bold: true }
        });
    }
    else {
        Object.assign(tocStyle, {
            tocMargin: [10, 0, 0, 0]
        });
    }
    (0, exports.addTocItem)(item, tocStyle);
    return item;
};
exports.handleHeadlineToc = handleHeadlineToc;
