"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseImg = exports.isBase64 = void 0;
const constants_js_1 = require("../constants.js");
function isBase64(str) {
    return /^data:image\/(jpeg|png|jpg);base64,/.test(str);
}
exports.isBase64 = isBase64;
const parseImg = (el, ctx) => {
    const src = el.getAttribute('src');
    if (!src) {
        return null;
    }
    const name = el.getAttribute('name') || src;
    let image;
    if (isBase64(src)) {
        image = src;
    }
    else if (ctx.images[name]) {
        image = name;
    }
    else {
        ctx.images[src] = name;
        image = name;
    }
    return {
        image,
        [constants_js_1.META]: {}
    };
};
exports.parseImg = parseImg;
