"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseLink = exports.linkify = void 0;
const index_js_1 = require("../utils/index.js");
const setLink = (href, link) => {
    if (typeof link !== 'string') {
        if (href[0] === '#') {
            link.linkToDestination = href.slice(1);
        }
        else {
            link.link = href;
        }
    }
};
const linkify = (href, item) => {
    const children = (0, index_js_1.getChildItems)(item);
    children.forEach((link) => {
        setLink(href, link);
        (0, exports.linkify)(href, link);
    });
};
exports.linkify = linkify;
const parseLink = (href) => {
    return {
        text: items => {
            items.forEach((link) => {
                setLink(href, link);
                (0, exports.linkify)(href, link);
            });
            return items;
        }
    };
};
exports.parseLink = parseLink;
