"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.computeProps = void 0;
const constants_js_1 = require("../constants.js");
const global_styles_js_1 = require("../global-styles.js");
const attr_to_props_js_1 = require("./attr-to-props.js");
const inherit_style_js_1 = require("./inherit-style.js");
const style_to_props_js_1 = require("./style-to-props.js");
const styles_js_1 = require("./styles.js");
/**
 *
 * @param item
 * @param ctx the context
 * @param parentItem? the parent item
 */
const computeProps = (item, ctx, parentItem) => {
    const el = item[constants_js_1.META][constants_js_1.NODE];
    const styles = ctx.styles;
    const rootStyles = styles[':root'] || (0, global_styles_js_1.globalStyles)()[':root'];
    const attrProps = (0, attr_to_props_js_1.attrToProps)(item, parentItem);
    const selectors = attrProps.style || [];
    const elementStyles = (0, styles_js_1.selectStyles)(selectors, styles);
    const inheritedStyles = (0, inherit_style_js_1.inheritStyle)(el, parentItem);
    const cssStyles = Object.assign({}, rootStyles, inheritedStyles, elementStyles, (0, styles_js_1.getInlineStyles)(el));
    const styleProps = (0, style_to_props_js_1.styleToProps)(item, ctx, cssStyles, rootStyles);
    return {
        ...styleProps,
        ...attrProps,
        [constants_js_1.META]: {
            ...(styleProps[constants_js_1.META] || {}),
            ...(attrProps[constants_js_1.META] || {}),
            ...(item[constants_js_1.META] || {}),
            [constants_js_1.STYLE]: {
                ...(styleProps[constants_js_1.META][constants_js_1.STYLE] || {}),
                ...(attrProps[constants_js_1.META][constants_js_1.STYLE] || {}),
            }
        }
    };
};
exports.computeProps = computeProps;
