"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.headerFooter = exports.headerFooterContent = void 0;
const index_js_1 = require("../parser/index.js");
const parse_img_js_1 = require("../parser/parse-img.js");
const headerFooterContent = (els, ctx) => {
    const elements = {};
    let index = 1;
    for (let i = 0; i < els.length; i++) {
        const el = els[i];
        // Add Images to context
        const images = el.querySelectorAll(':scope img');
        for (let i = 0; i < images.length; i++) {
            (0, parse_img_js_1.parseImg)(images[i], ctx);
        }
        const dataPage = el.getAttribute('data-page');
        let page = index;
        if (dataPage) {
            const num = parseInt(dataPage, 10);
            if (['even', 'odd', 'default'].includes(dataPage)) {
                page = dataPage;
            }
            else if (!isNaN(num)) {
                page = num;
            }
            else {
                page = index++;
            }
        }
        else {
            page = index++;
        }
        elements[page] = (data) => {
            return (0, index_js_1.parseChildren)(ctx.config.render(el, data), ctx);
        };
    }
    return elements;
};
exports.headerFooterContent = headerFooterContent;
const headerFooter = (currentPage, pageCount, headerOrFooter) => {
    const evenOdd = currentPage % 2 === 0 ? 'even' : 'odd';
    const data = {
        currentPage,
        pageCount
    };
    return headerOrFooter[evenOdd]?.(data) || headerOrFooter[currentPage]?.(data) || headerOrFooter['default']?.(data) || [];
};
exports.headerFooter = headerFooter;
