"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getChildItems = void 0;
const type_guards_js_1 = require("./type-guards.js");
const getChildItems = (item) => {
    if (typeof item === 'string') {
        return [];
    }
    if ('stack' in item) {
        return item.stack;
    }
    if ('text' in item && typeof item.text !== 'string') {
        return item.text;
    }
    if ('table' in item) {
        return item.table.body
            .flatMap(tr => tr)
            .filter(type_guards_js_1.isNotText);
    }
    if ('ul' in item) {
        return item.ul;
    }
    if ('ol' in item) {
        return item.ol;
    }
    return [];
};
exports.getChildItems = getChildItems;
