import { El } from '../types/global.types.js';
import { Image, Item, ItemCollapsable, Leaf, Ol, Stack, Table, Text, TextArray, Ul } from '../types/item.types.js';
import { LazyItem } from '../types/lazy-item.types.js';
export declare const isNotText: (item: LazyItem | string) => item is Item;
export declare const isColgroup: (item: LazyItem) => item is Stack;
export declare const isImage: (item: LazyItem) => item is Image;
export declare const isTable: (item: LazyItem) => item is Table;
export declare const isTextArray: (item?: Item | undefined) => item is TextArray;
export declare const isTextSimple: (item: LazyItem) => item is Text;
export declare const isTextOrLeaf: (item: LazyItem) => item is Text | Leaf;
export declare const isList: (item: LazyItem) => item is Ul | Ol;
export declare const isTdOrTh: (item: LazyItem) => boolean;
export declare const isElement: (el: El) => el is Element;
export declare const isNode: (el: El) => el is Node;
export declare const isCollapsable: (item?: Item | undefined) => item is ItemCollapsable;
