"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isCollapsable = exports.isNode = exports.isElement = exports.isTdOrTh = exports.isList = exports.isTextOrLeaf = exports.isTextSimple = exports.isTextArray = exports.isTable = exports.isImage = exports.isColgroup = exports.isNotText = void 0;
const constants_js_1 = require("../constants.js");
const isNotText = (item) => typeof item !== 'string';
exports.isNotText = isNotText;
const isColgroup = (item) => item?.[constants_js_1.META]?.[constants_js_1.NODE]?.nodeName === 'COLGROUP';
exports.isColgroup = isColgroup;
const isImage = (item) => 'image' in item;
exports.isImage = isImage;
const isTable = (item) => 'table' in item;
exports.isTable = isTable;
const isTextArray = (item) => !!item && typeof item !== 'string' && 'text' in item && Array.isArray(item.text);
exports.isTextArray = isTextArray;
const isTextSimple = (item) => typeof item !== 'string' && 'text' in item && typeof item.text === 'string';
exports.isTextSimple = isTextSimple;
const isTextOrLeaf = (item) => 'text' in item || typeof item === 'string';
exports.isTextOrLeaf = isTextOrLeaf;
const isList = (item) => 'ul' in item || 'ol' in item;
exports.isList = isList;
const isTdOrTh = (item) => item[constants_js_1.META]?.[constants_js_1.NODE]?.nodeName === 'TD' || item[constants_js_1.META]?.[constants_js_1.NODE]?.nodeName === 'TH' || item[constants_js_1.META]?.[constants_js_1.NODE]?.nodeName === 'COL';
exports.isTdOrTh = isTdOrTh;
const isElement = (el) => el.nodeType === 1;
exports.isElement = isElement;
const isNode = (el) => el.nodeType === 3 || el.nodeType === 8;
exports.isNode = isNode;
const isCollapsable = (item) => typeof item !== 'undefined' && typeof item !== 'string' && ('stack' in item || 'ul' in item || 'ol' in item || 'table' in item) && 'margin' in item;
exports.isCollapsable = isCollapsable;
