"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getUniqueId = void 0;
const constants_js_1 = require("../constants.js");
const type_guards_js_1 = require("./type-guards.js");
let _uid = 0;
const getUniqueId = (item) => {
    const meta = item[constants_js_1.META] || {};
    const __uid = meta[constants_js_1.UID];
    const el = item[constants_js_1.META]?.[constants_js_1.NODE];
    if (__uid) {
        return __uid;
    }
    if (!el) {
        return '#' + (_uid++);
    }
    if ((0, type_guards_js_1.isElement)(el)) {
        const id = el.getAttribute('id');
        if (id) {
            return id;
        }
    }
    const nodeName = el.nodeName.toLowerCase();
    // TODO add parent? Or name something else?
    const uid = '#' + nodeName + '-' + (_uid++);
    meta[constants_js_1.UID] = uid;
    item[constants_js_1.META] = meta;
    return uid;
};
exports.getUniqueId = getUniqueId;
